TV_GRAB_IS(1)

NAME
tv_grab_is - Grab TV listings for Iceland.

SYNOPSIS
tv_grab_is --help

tv_grab_is [--config-file FILE] --configure [--gui OPTION]

tv_grab_is [--config-file FILE] [--output FILE] [--days N]
           [--offset N] [--quiet]

tv_grab_is --capabilities

tv_grab_is --version

DESCRIPTION
Output TV listings for several channels available in Iceland.

First run tv_grab_is --configure to choose, which channels you want to download. Then running tv_grab_is with no arguments will output listings in XML format to standard output.

--configure Prompt for which channels, and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_is.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of Term::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days. The default is as many as the source carries.

--offset N Start N days in the future. The default is to start from today.

--quiet Suppress the progress messages normally written to standard error.

--capabilities Show which capabilities the grabber supports. For more information, see <http://wiki.xmltv.org/index.php/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

SEE ALSO
xmltv(5). =head1 AUTHOR

Yngvi Þór Sigurjónsson (yngvi@teymi.is). Heavily based on tv_grab_dk by Jesper Skov (jskov@zoftcorp.dk). tv_grab_dk originally based on tv_grab_nl by Guido Diepen and Ed Avis (ed@membled.com) and tv_grab_fi by Matti Airas.

Version 1.1, Eggert Thorlacius (eggert@thorlacius.com). Started out by replacing a couple of channels with XML feeds, but ended up by removing the sjonvarp.is code completely. Left in the "xxx.sjonvarp.is" XMLTV IDs for backwards compatibility.

BUGS